<template>
  <div>
    <q-header
      class="text-white"
      style="background-color: #1C9ACD"
    >
      <q-toolbar
        :inset="false"
      >
        <q-btn
          v-if="backButton"
          flat
          dense
          icon="la la-angle-left"
          class="q-mr-sm"
          aria-label="Back"
          @click="onBackButtonClick"
        />

        <q-btn
          v-if="fastplatformLogo"
          flat
          dense
          icon="la la-bars"
          @click="onLeftDrawerButtonClick"
          class="q-mr-sm"
        />

        <q-btn
          v-else-if="mediaLogo"
          flat
          dense
          class="q-mr-sm"
        >
          <MediaImage
            style="max-width: 30px; max-height: 30px;"
            :img-relative-path="mediaLogo"
          />
        </q-btn>

        <q-toolbar-title
          class="q-pl-none"
        >
          <span style="position: relative;">
            {{ title }}
          </span>
        </q-toolbar-title>
        <q-badge
          v-if="badgeContent"
          style="font-size: 8px; position: absolute; bottom: 0px; left: 48px; background-color: transparent !important;"
        >
          {{ badgeContent }}
        </q-badge>

        <q-btn
          flat
          round
          dense
          size="md"
          class="q-mr-sm text-white"
          icon="la la-envelope"
          to="/messaging"
        >
          <MessagingUnreadBadge />
        </q-btn>
      </q-toolbar>
    </q-header>

    <!-- Left Drawer -->
    <LeftDrawer ref="leftDrawer" />
  </div>
</template>

<script>
import LeftDrawer from 'src/components/layouts/header/components/LeftDrawer'
import MediaImage from 'src/components/MediaImage'
import MessagingUnreadBadge from 'src/pages/messaging/components/MessagingUnreadBadge'

import { RouterMixin } from 'src/mixins/RouterMixin'

export default {
  name: 'HeaderMobile',
  components: {
    LeftDrawer,
    MediaImage,
    MessagingUnreadBadge
  },
  mixins: [
    RouterMixin
  ],
  props: {
    backButton: {
      type: Boolean,
      default: false
    },
    fastplatformLogo: {
      type: Boolean,
      required: false,
      default: false
    },
    mediaLogo: {
      type: String,
      required: false,
      default: null
    },
    title: {
      type: String,
      default: ''
    },
    badgeContent: {
      type: String,
      default: ''
    }
  },
  data () {
    return {}
  },
  methods: {
    onBackButtonClick () {
      this.goBack()
    },
    onLeftDrawerButtonClick () {
      this.$store.dispatch('appState/toggleLeftDrawer')
    }
  }
}
</script>

<style scoped>

.mail {
  width: 32px;
  margin-top: 5px;
}

</style>
